2020-01-19 06:44 CET

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0003310Spring engineUnit Scriptingpublic2020-01-06 11:53
ReporterFLOZi 
Assigned ToKloot 
PrioritylowSeveritytrivialReproducibilityN/A
StatusresolvedResolutionfixed 
Product Version91.0 
Target VersionFixed in Version104.0 +git 
Summary0003310: [Request] One default for ownerExpAccWeight
DescriptionThe tag ownerExpAccWeight controls how accuracy and sprayAngle are reduced as unit experience increases. Currently there are different defaults depending on weapon type - this was afaik to maintain backwards compatibility with the old hardcoded values.

Seems to me that a default of 0.0 would be better and game devs should set their own values if the behaviour is desired.
Additional InformationThe tag was a S44 team request, yay history!

http://springrts.com/mantis/view.php?id=1849
http://springrts.com/phpbb/viewtopic.php?f=21&t=22244
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0020101

FLOZi (reporter)

Still true;

https://github.com/spring/spring/blob/develop/rts/Sim/Weapons/WeaponDef.cpp#L407

Patches welcome or a 'no change' ?

~0020296

abma (administrator)

Fix 1ab12cc448865a26257bc36ec910633ca42cbb09 committed to develop branch: fix 0003310, repo: spring changeset id: 11623
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2012-10-26 21:26 FLOZi New Issue
2019-08-31 17:05 FLOZi Note Added: 0020101
2019-08-31 23:03 Kloot Assigned To => Kloot
2019-08-31 23:03 Kloot Status new => resolved
2019-08-31 23:03 Kloot Resolution open => fixed
2019-08-31 23:03 Kloot Fixed in Version => 104.0 +git
2020-01-06 11:53 Changeset attached => spring develop 1ab12cc4
2020-01-06 11:53 abma Note Added: 0020296
+Issue History